# CommonCacheRepo

interface CommonCacheRepo : InvalidatableRepo (source)

Any inheritor of this should work with next logic: try to take data from some dev.inmo.micro_utils.repos.cache.cache.KVCache and, if not exists, take from origin and save to the cache for future reuse

#### Inheritors

ReadCRUDCacheRepo
WriteCRUDCacheRepo
ReadKeyValueCacheRepo
KeyValueCacheRepo
ReadKeyValuesCacheRepo
KeyValuesCacheRepo

## Functions

invalidate
Link copied to clipboard
abstract suspend fun invalidate ()

Invalidates its internal data. It may lead to autoreload of data. In case when repo makes autoreload, it must do loading of data before clear